Package org.eclipse.rdf4j.spring.util

## Class TypeMappingUtils

- java.lang.Object
- - org.eclipse.rdf4j.spring.util.TypeMappingUtils

-     public class TypeMappingUtils
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeMappingUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Boolean` | `toBoolean​(String from)` |
    `static Boolean` | `toBoolean​(Value from)` |
    `static Boolean` | `toBooleanMaybe​(Boolean from)` |
    `static Boolean` | `toBooleanMaybe​(String from)` |
    `static Boolean` | `toBooleanMaybe​(Value from)` |
    `static Optional<Boolean>` | `toBooleanOptional​(Boolean from)` |
    `static Optional<Boolean>` | `toBooleanOptional​(String from)` |
    `static Optional<Boolean>` | `toBooleanOptional​(Value from)` |
    `static Double` | `toDouble​(Value from)` |
    `static Integer` | `toInt​(Value from)` |
    `static BigInteger` | `toInteger​(Value from)` |
    `static List<Iri>` | `toIri​(Collection<IRI> from)` |
    `static Iri` | `toIri​(IRI from)` |
    `static IRI` | `toIRI​(String from)` |
    `static List<IRI>` | `toIRI​(Collection<String> from)` |
    `static IRI` | `toIRI​(Value from)` |
    `static Iri[]` | `toIriArray​(Collection<IRI> from)` |
    `static IRI` | `toIRIMaybe​(String from)` |
    `static Optional<IRI>` | `toIRIOptional​(String from)` |
    `static String` | `toString​(Value from)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeMappingUtils

          public TypeMappingUtils()

  - ### Method Detail

    - #### toIri

          public static Iri toIri​(IRI from)

    - #### toIri

          public static List<Iri> toIri​(Collection<IRI> from)

    - #### toIriArray

          public static Iri[] toIriArray​(Collection<IRI> from)

    - #### toIRI

          public static IRI toIRI​(String from)

    - #### toIRIMaybe

          public static IRI toIRIMaybe​(String from)

    - #### toIRIOptional

          public static Optional<IRI> toIRIOptional​(String from)

    - #### toIRI

          public static IRI toIRI​(Value from)

    - #### toBoolean

          public static Boolean toBoolean​(Value from)

    - #### toBooleanMaybe

          public static Boolean toBooleanMaybe​(Value from)

    - #### toBooleanOptional

          public static Optional<Boolean> toBooleanOptional​(Value from)

    - #### toBoolean

          public static Boolean toBoolean​(String from)

    - #### toBooleanMaybe

          public static Boolean toBooleanMaybe​(String from)

    - #### toBooleanMaybe

          public static Boolean toBooleanMaybe​(Boolean from)

    - #### toBooleanOptional

          public static Optional<Boolean> toBooleanOptional​(String from)

    - #### toBooleanOptional

          public static Optional<Boolean> toBooleanOptional​(Boolean from)

    - #### toDouble

          public static Double toDouble​(Value from)

    - #### toInteger

          public static BigInteger toInteger​(Value from)

    - #### toInt

          public static Integer toInt​(Value from)

    - #### toIRI

          public static List<IRI> toIRI​(Collection<String> from)

    - #### toString

          public static final String toString​(Value from)